function z=fQsat(y,n);

%  quantizer saturation function
%
%  y : quantizer input
%  n   : the number of unit elements 
%        must be even in the current version
%
% (C) Pieter Rombouts

delta = 2/n;
z = y;
index = find(z>1);
z(index) = 1;
index = find(z<-1);
z(index) = -1;
z = floor((z+delta/2)/delta)*delta;