function OL =findOL_Carley(ntf,n)

%  Finds Kenney and Carley's bound on the overloading level
%
%  ntf : the noise transfer function
%  n   : the number of unit elements 
%
% (C) Pieter Rombouts
      

% Handle the input arguments
% Code Fragment inspired on code from
% Richard Schreier's delta sigma Toolbox
parameters = {'ntf' 'n'};
defaults = {[] 8};
for arg_i=2:length(defaults)
    parameter = char(parameters(arg_i));
    if arg_i>nargin | ( eval(['isnumeric(' parameter ') '])  &  ...
     eval(['any(isnan(' parameter ')) | isempty(' parameter ') ']) )
        eval([parameter '=defaults{arg_i};'])
    end
end
% End of handling of the input arguments


norm = sum(abs(impulse(ntf,100)));
OL = 1-(norm-2)/n;
